Redmine - Feature #7774

Sub groups or Multi-level groups
2011-03-04 08:46 - Jos Accapadi

Status: New Start date: 2011-03-04
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Administration Estimated time: 0.00 hour

Target version:

Resolution:

Description

Did a preliminary search, but did not find a feature request for this.
| see a need for having sub-groups as part of groups ability
As an example, we may have a marketing group, who has a web unit as part of it. In some projects it would be good to assign the
whole marketing group to see a project, and in some it would be just beneficial to do the web unit or sub group.

This would eliminate the need for duplicate entry of names into different groups.

Related issues:

Related to Redmine - Feature #6772: Group as meber of a group New 2010-10-29
Has duplicate Redmine - Feature #20228: Assign issues to groups as group leve... Closed

Has duplicate Redmine - Feature #25768: Group hierarchy Closed

History

#1 - 2011-03-04 08:48 - Jos Accapadi

Forgot formatting isn't preserved by default.
Did a preliminary search, but did not find a feature request for this.
I see a need for having sub-groups as part of groups ability
As an example, we may have a marketing group, who has a web unit as part of it. In some projects it would be
good to assign the whole marketing group to see a project, and in some it would be just beneficial to do the w
eb unit or sub group.
This would eliminate the need for duplicate entry of names into different groups.

#2 - 2011-03-04 09:43 - Etienne Massip

- Category set to Administration
#3 - 2011-04-29 10:49 - Jérémy Subtil
Hi there,

As this feature is a need for my company (Smile), | started to implement it. You can check my code on my dedicated Redmine branch:
https://qgithub.com/smile-oss/redmine/tree/subgroups

Visible features:

e You can put an existing group into another group, so that the first one becomes a "subgroup".
e When you add a "root group" to a project, its subgroups are added as well.

From a technical point of view, the many-to-many relation between users and groups have been refactored to a relation between principals and
groups.

TODO:
¢ Update existing unit tests, and write new ones.
* Remove remaining inconsitencies, i.e. "user" fields and labels not renamed as "principal”.

* Review the code.

As this is an interesting feature, the aim of my contribution is to integrate the patch into upstream. So any support, feedback or code improvement
would be greatly appreciated. :)

#4 - 2012-01-11 16:37 - Not Needed
Hey Jérémy,

I noticed your github link doesn't work anymore. What is the current status of this, do you plan on releasing this as a plugin. | would very interested in
this.

#5 - 2012-01-11 16:50 - Jérémy Subtil

Sorry, my company's repository was moved: https:/github.com/smile-sa/redmine/tree/subgroups

| left my company a few months ago and as far as | know there is no plan about this branch. Feel free to code on top of it. It's working.
From what | remember, by Redmine's design, it was quite impossible to implement such a feature as a plugin. It has to be a core development.

#6 - 2012-01-11 16:58 - Not Needed

Thanks, | will take a look at that.
#7 - 2012-01-11 19:30 - Jérome BATAILLE
Hi all, | am now working in the same company as Jérémy used to (since 6 months).

This company has a strong will to bring it's numerous Redmine enhancements to the core.
So if you need support for this issue | will be glad to help.

#8 - 2012-11-05 15:13 - Bruno Spyckerelle

Hi Jéréme !
Any news about this enhancement ? Is it available with redmine2 ?
We are very interested in this feature which could strongly improve the way we use redmine.

#9 - 2013-01-15 11:34 - Michael Probst
I would like to see this feature in redmine as well.

We run several redmine servers and one use case is to have
lets say working groups including companies which include users.

Example:

CompanyA
UserA, UserB
CompanyB
UserC

WorkingGroupA
CompanyA, CompanyB

WorkingGroupB

CompanyB
ProjectA

WorkingGroupA, WorkingGroupB
ProjectB

WorkingGroupB, CompanyC

This feature would greatly reduce amount of administrative work.

#10 - 2013-01-15 11:52 - Jérome BATAILLE

Hi, the original repository was lost, so | will take time to search if | can find the source code somewhere.

#11 - 2013-01-22 08:57 - Michael Esemplare
Feature is related to #6772.

#12 - 2013-01-24 13:56 - Jérémy Subtil

Hi, actually the repository moved to https:/github.com/Smile-SA/redmine/tree/subgroups

#13 - 2013-05-10 14:26 - Jonas Halbe

is this feature up to date or will it be implemented in the next releases? it's also a need for my company, but i'm not really familiar to ruby and we
would love to use this with redmine2.3.

#14 - 2013-06-12 18:29 - Samuel F. Baggen

Hello,

I'm very interested on this feature, | don't imagine an organization without subgroups, for example you want to contact the group programmers or just
the programmers_ruby (you have a lot of different language programmers that are not concerned in ruby topics, they should be not annoyed with
notifications / assignments

| have made a look to the Simle-SA project and created a diff for their subgroups plugin (or more like a patch), | have posted it here if anybody wants
to make a look, unfortunately my ruby knowledges are really poor so | can't help much, if anybody makes it working or create a plugin for this, please
notify us! at least me are very interested on such feature

$ git diff master...subgroups

Patch: http://paste.debian.net/9959/

#15 - 2013-07-16 06:53 - Jongwook Choi

+1

This is very useful, especially for large companies or organizations. Not an easy feature.. but deserves to belong redmine core.

#16 - 2013-07-26 06:32 - Jeremy Bailey

+1

This would be very useful for organizing our users. Being able to have nested groups would simplify our management quite a bit. We'd like to assign

certain issues to an entire department, and other issues we'd like to assign to functional groups like coders or translators. Redmine's projects are built
around sub-projects and (optional) inheritance of permissions, it makes aesthetic sense to have a parallel hierarchical structure for groups.

#17 - 2013-09-15 10:41 - Sergiy Nazarov
+1

This would be very useful for organizing our users, too

#18 - 2013-09-16 15:37 - Francois Bélingard

+1

#19 - 2013-10-24 17:32 - David Tremblay
| think that large organization such as government would clearly benefit from that feature

#20 - 2013-12-07 22:10 - Beni Bilme

+1
I work in a non-profit organization and my organization is really in need of this feature

#21 - 2014-01-03 13:12 - Sam He
1

My redmine has 40 people with multiple projects. | hope the user group management can be set in project level by the project's owner.

#22 - 2015-05-06 15:11 - Systems Administration

+1

#23 - 2015-06-29 14:44 - Jean-Francois FREBOURG

+1
Also interrested to have multi-levels group.

#24 - 2015-07-31 23:13 - Toshi MARUYAMA

- Has duplicate Feature #20228: Assign issues to groups as group level option added

#25 - 2015-08-24 11:01 - Omar MEZRAG

+1

#26 - 2015-09-28 11:08 - Dev Full stack

+1

#27 - 2016-11-17 08:05 - Patrick LANVIN

+1
| uses redmine for 300 users and this feature is a must to have :)

#28 - 2017-03-10 06:12 - Shinji Tamura

+1

#29 - 2017-03-12 04:23 - Tomoko Shimizutani

+1

#30 - 2017-06-17 07:13 - Toshi MARUYAMA
- Has duplicate Feature #25768: Group hierarchy added

#31 - 2017-12-27 09:54 - Aleksandar Pavic

+1

Just a parent-child relationship would be sufficient...

#32 - 2019-06-04 11:03 - Jérome BATAILLE
- File paste_9959.diff added

Here is the original patch, not compatible with recent Redmine versions :

Files

paste_9959.diff 12.7 KB 2019-06-04

2025-07-08

Jéréme BATAILLE

/4


http://www.tcpdf.org

